VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IUnitData Class Referenceabstract

Component extension to access unit data: Vst::IUnitData. More...

`#include <ivstunits.h>`

Inheritance diagram for IUnitData:

## Public Member Functions
virtual tresult | unitDataSupported (UnitID unitID)=0
| Returns kResultTrue if the specified unit supports export and import of preset data.
virtual tresult | getUnitData (UnitID unitId, IBStream *data)=0
| Gets the preset data for the specified unit.
virtual tresult | setUnitData (UnitID unitId, IBStream *data)=0
| Sets the preset data for the specified unit.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Component extension to access unit data: Vst::IUnitData.

- [plug imp]
- [extends IComponent]
- [released: 3.0.0]
- [optional]

A component can support unit preset data via this interface or program list data (IProgramListData).

See also
  vst3ProgramLists

## Member Function Documentation

## ◆ unitDataSupported()

virtual tresult unitDataSupported | ( | UnitID | unitID | ) |
| pure virtual

Returns kResultTrue if the specified unit supports export and import of preset data.

Note
  [UI-thread & (Initialized | Connected)]

## ◆ getUnitData()

virtual tresult getUnitData | ( | UnitID | unitId,
|  | IBStream * | data )
| pure virtual

Gets the preset data for the specified unit.

Note
  [UI-thread & (Initialized | Connected)]

## ◆ setUnitData()

virtual tresult setUnitData | ( | UnitID | unitId,
|  | IBStream * | data )
| pure virtual

Sets the preset data for the specified unit.

Note
  [UI-thread & (Initialized | Connected)]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.